## packetfence 10.3.0+20210414154410+286398790+0009+v10.3.0+stretch1

=== Makefile ===
include config.mk

all:
	@echo "Please chose which documentation to build:"
	@echo ""
	@echo " 'pdf' will build all guides using the PDF format"
	@echo " 'docs/PacketFence_Installation_Guide.pdf' will build the Installation guide in PDF"
	@echo " 'docs/PacketFence_Clustering_Guide.pdf' will build the Clustering guide in PDF"
	@echo " 'docs/PacketFence_Developers_Guide.pdf' will build the Developers guide in PDF"
	@echo " 'docs/PacketFence_Network_Devices_Configuration_Guide.pdf' will build the Network Devices Configuration guide in PDF"
	@echo " 'docs/PacketFence_Upgrade_Guide.pdf' will build the Upgrade guide in PDF"

ASCIIDOCS := $(notdir $(wildcard docs/PacketFence_*.asciidoc))
PDFS = $(patsubst %.asciidoc,docs/%.pdf, $(ASCIIDOCS))

clean:
	rm -f docs/*.html docs/index.js docs/*.pdf

docs/%.pdf: docs/%.asciidoc
	asciidoctor-pdf \
		-a pdf-theme=docs/asciidoctor-pdf-theme.yml \
		-a pdf-fontsdir=docs/fonts \
		-a release_version=`cat conf/pf-release | cut -d' ' -f 2` \
		-a release_month=`date +%B` \
		$<

.PHONY: pdf

pdf: $(PDFS)

HTML = $(patsubst %.asciidoc,docs/%.html, $(ASCIIDOCS))

docs/%.html: docs/%.asciidoc
	asciidoctor \
		-n \
		-r ./docs/asciidoctor-html.rb \
		-a stylesdir=../html/pfappserver/root/dist/css \
		-a stylesheet=$(notdir $(wildcard ./html/pfappserver/root/dist/css/app*.css)) \
		-a release_version=`cat conf/pf-release | cut -d' ' -f 2` \
		-a release_month=`date +%B` \
		$<

docs/index.js: $(HTML)
	find $$(dirname "$@") -type f  -iname  '*.html' -and -not -iname '*template*' -printf "{\"name\":\"%f\", \"size\":%s, \"last_modifed\" : %T@}\n" | jq -s '{ items: [ .[] |  {name, size, last_modifed : (.last_modifed*1000 | floor)} ] }' > $@

.PHONY: images

images:
	@echo "install images dir and all subdirectories"
	for subdir in `find docs/images/* -type d -printf "%f\n"` ; do \
		install -d -m0755 $(DESTDIR)/usr/local/pf/html/pfappserver/root/doc/images/$$subdir ; \
		for img in `find docs/images/$$subdir -type f`; do \
			install -m0644 $$img $(DESTDIR)/usr/local/pf/html/pfappserver/root/doc/images/$$subdir ; \
		done \
	done
	@echo "install only images at depth0 in images/ directory"
	for img in `find docs/images/* -maxdepth 0 -type f`; do \
		install -m0644 $$img $(DESTDIR)/usr/local/pf/html/pfappserver/root/doc/images/ ; \
	done

.PHONY: html

html: $(HTML) docs/index.js

pfcmd.help:
	/usr/local/pf/bin/pfcmd help > docs/installation/pfcmd.help

.PHONY: configurations

configurations: SHELL:=/bin/bash
configurations:
	find -type f -name '*.example' -print0 | while read -d $$'\0' file; do cp -n $$file "$$(dirname $$file)/$$(basename $$file .example)"; done
	touch /usr/local/pf/conf/pf.conf

.PHONY: configurations_force

configurations_hard: SHELL:=/bin/bash
configurations_hard:
	find -type f -name '*.example' -print0 | while read -d $$'\0' file; do cp $$file "$$(dirname $$file)/$$(basename $$file .example)"; done
	touch /usr/local/pf/conf/pf.conf

# server certs and keys
# the | in the prerequisites ensure the target is not created if it already exists
# see https://www.gnu.org/software/make/manual/make.html#Prerequisite-Types
conf/ssl/server.pem: | conf/ssl/server.key conf/ssl/server.crt conf/ssl/server.pem 
	cat conf/ssl/server.crt conf/ssl/server.key > conf/ssl/server.pem

conf/ssl/server.crt: | conf/ssl/server.crt
	openssl req -new -x509 -days 365 \
	-out /usr/local/pf/conf/ssl/server.crt \
	-key /usr/local/pf/conf/ssl/server.key \
	-config /usr/local/pf/conf/openssl.cnf

conf/ssl/server.key: | conf/ssl/server.key
	openssl genrsa -out /usr/local/pf/conf/ssl/server.key 2048

conf/local_secret:
	date +%s | sha256sum | base64 | head -c 32 > /usr/local/pf/conf/local_secret

conf/unified_api_system_pass:
	date +%s | sha256sum | base64 | head -c 32 > /usr/local/pf/conf/unified_api_system_pass

bin/pfcmd: src/pfcmd.c
	$(CC) -O2 -g -std=c99  -Wall $< -o $@

bin/ntlm_auth_wrapper: src/ntlm_auth_wrap.c
	$(CC) -g -std=c99 -Wall $< -o $@

.PHONY: permissions

/etc/sudoers.d/packetfence.sudoers: packetfence.sudoers
	cp packetfence.sudoers /etc/sudoers.d/packetfence

.PHONY: sudo

sudo: /etc/sudoers.d/packetfence.sudoers


permissions: bin/pfcmd
	./bin/pfcmd fixpermissions

raddb/certs/server.crt:
	cd raddb/certs; make

.PHONY: raddb-sites-enabled

raddb/sites-enabled:
	mkdir raddb/sites-enabled
	cd raddb/sites-enabled;\
	for f in packetfence packetfence-tunnel dynamic-clients status;\
		do ln -s ../sites-available/$$f $$f;\
	done

.PHONY: translation

translation:
	for TRANSLATION in de en es fr he_IL it nb_NO nl pl_PL pt_BR; do\
		/usr/bin/msgfmt conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.po\
		  --output-file conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.mo;\
	done

.PHONY: mysql-schema

mysql-schema:
	ln -f -s /usr/local/pf/db/pf-schema-X.Y.Z.sql /usr/local/pf/db/pf-schema.sql;

.PHONY: chown_pf

chown_pf:
	chown -R pf:pf *

.PHONY: fingerbank

fingerbank:
	rm -f /usr/local/pf/lib/fingerbank
	ln -s /usr/local/fingerbank/lib/fingerbank /usr/local/pf/lib/fingerbank \

.PHONY: systemd

systemd:
	cp /usr/local/pf/conf/systemd/packetfence* /usr/lib/systemd/system/
	systemctl daemon-reload

.PHONY: pf-dal

pf-dal:
	perl /usr/local/pf/addons/dev-helpers/bin/generator-data-access-layer.pl

devel: configurations conf/ssl/server.key conf/ssl/server.crt conf/local_secret bin/pfcmd raddb/certs/server.crt sudo translation mysql-schema raddb/sites-enabled fingerbank chown_pf permissions bin/ntlm_auth_wrapper conf/unified_api_system_pass

test:
	cd t && ./smoke.t

.PHONY: html_install

# install -D will automatically create target directories
# $$file in destination of install command contain relative path
html_install:
	@echo "create directories under $(DESTDIR)$(HTMLDIR)"
	install -d -m0755 $(DESTDIR)$(HTML_PARKINGDIR)
	install -d -m0755 $(DESTDIR)$(HTML_COMMONDIR)
	install -d -m0755 $(DESTDIR)$(HTML_CPDIR)
	install -d -m0755 $(DESTDIR)$(HTML_PFAPPDIR)

	@echo "install $(SRC_HTML_PARKINGDIR) files"
	for file in $(parking_files); do \
            install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install $(SRC_HTML_COMMONDIR) dirs and files"
	for file in $(common_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install $(SRC_HTML_CPDIR) dirs and files"
	for file in $(cp_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install $(SRC_HTML_PFAPPDIR) without root dir"
	for file in $(pfapp_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install $(SRC_HTML_PFAPPDIR_ROOT) dirs and files"
	for file in $(pfapp_alt_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install symlinks"
	for link in $(symlink_files); do \
	    cp -v --no-dereference $$link $(DESTDIR)$(PF_PREFIX)/$$link ; \
	done

.PHONY: conf/git_commit_id
conf/git_commit_id:
	echo $$CI_COMMIT_SHA > $@

=== go/Makefile ===
include ../config.mk

.PHONY: clean-caddy-src
clean-caddy-src:
	find caddy/ -type f -exec sed -i.bak "s'github.com/mholt/caddy'github.com/inverse-inc/packetfence/go/caddy/caddy'g" {} \; ; find . -name '*.bak' -delete
	find caddy/ -type f -exec sed -i.bak "s'github.com/caddyserver/caddy'github.com/inverse-inc/packetfence/go/caddy/caddy'g" {} \; ; find . -name '*.bak' -delete
	find caddy/caddy/ -name '*_test.go' -delete

.PHONY: go-env
go-env:
	GOVERSION=$(GOVERSION) ../addons/dev-helpers/setup-go-env.sh

.PHONY: test
test:
	/usr/local/pf/t/pfconfig-test ;\
	PFCONFIG_TESTING=y go test -count=1 ./...

CMDS = $(wildcard cmd/*)
ALL_BINARIES = $(patsubst cmd/%, %, $(CMDS))
.PHONY: $(ALL_BINARIES)
$(ALL_BINARIES):
	cd cmd/$@ && \
	go build && \
	mv $@ ../..

ALL_BINARIES_RACE = $(patsubst cmd/%, %-race, $(CMDS))
$(ALL_BINARIES_RACE):
	cd cmd/$(@:-race=) && \
	go build -o $@ -race && \
	mv $@ ../..

.PHONY: all
all: $(PF_BINARIES)

.PHONY: copy
copy:
	cp -f $(PF_BINARIES) $(DESTDIR)$(SBINDIR)

.PHONY: clean
clean:
	rm -f $(PF_BINARIES)

.PHONY: clean-coredns-src
clean-coredns-src:
	find coredns/ -type f -exec sed -i.bak "s'github.com/mholt/caddy'github.com/inverse-inc/packetfence/go/caddy/caddy'g" {} \; ; find . -name '*.bak' -delete
	find coredns/ -type f -exec sed -i.bak "s'github.com/coredns/coredns'github.com/inverse-inc/packetfence/go/coredns'g" {} \; ; find . -name '*.bak' -delete
	find coredns/ -name '*_test.go' -delete

=== ci/packer/Makefile ===
include ../../config.mk

#==============================================================================
# Targets
#==============================================================================

.PHONY: all
all: build_docker_img

.PHONY: build_docker_img
build_docker_img:
	GOVERSION=$(GOVERSION) ./packer-wrapper.sh

=== go/coredns/Makefile ===
# Makefile for building CoreDNS
GITCOMMIT:=$(shell git describe --dirty --always)
BINARY:=coredns
SYSTEM:=
CHECKS:=check
BUILDOPTS:=-v
GOPATH?=$(HOME)/go
MAKEPWD:=$(dir $(realpath $(firstword $(MAKEFILE_LIST))))
CGO_ENABLED:=0

.PHONY: all
all: coredns

.PHONY: coredns
coredns: $(CHECKS)
	CGO_ENABLED=$(CGO_ENABLED) $(SYSTEM) go build $(BUILDOPTS) -ldflags="-s -w -X github.com/inverse-inc/packetfence/go/coredns/coremain.GitCommit=$(GITCOMMIT)" -o $(BINARY)

.PHONY: check
check: core/plugin/zplugin.go core/dnsserver/zdirectives.go

.PHONY: travis
travis:
ifeq ($(TEST_TYPE),core)
	( cd request; go test -race ./... )
	( cd core; go test -race  ./... )
	( cd coremain; go test -race ./... )
endif
ifeq ($(TEST_TYPE),integration)
	( cd test; go test -race ./... )
endif
ifeq ($(TEST_TYPE),fmt)
	( echo "fmt"; gofmt -w -s . | grep ".*\.go"; if [ "$$?" = "0" ]; then exit 1; fi )
endif
ifeq ($(TEST_TYPE),metrics)
	( echo "metrics"; go get github.com/fatih/faillint)
	( faillint -paths "github.com/prometheus/client_golang/prometheus.{NewCounter,NewCounterVec,NewCounterVec,\
	NewGauge,NewGaugeVec,NewGaugeFunc,NewHistorgram,NewHistogramVec,NewSummary,NewSummaryVec}=github.com/prometheus/client_golang/prometheus/promauto.{NewCounter,\
	NewCounterVec,NewCounterVec,NewGauge,NewGaugeVec,NewGaugeFunc,NewHistorgram,NewHistogramVec,NewSummary,NewSummaryVec}" ./...)
endif
ifeq ($(TEST_TYPE),plugin)
	( cd plugin; go test -race ./... )
endif
ifeq ($(TEST_TYPE),coverage)
	for d in `go list ./... | grep -v vendor`; do \
		t=$$(date +%s); \
		go test -i -coverprofile=cover.out -covermode=atomic $$d || exit 1; \
		go test -coverprofile=cover.out -covermode=atomic $$d || exit 1; \
		if [ -f cover.out ]; then \
			cat cover.out >> coverage.txt && rm cover.out; \
		fi; \
	done
endif
ifeq ($(TEST_TYPE),fuzzit)
	# skip fuzzing for PR
	if [ "$(TRAVIS_PULL_REQUEST)" = "false" ] || [ "$(FUZZIT_TYPE)" = "local-regression" ] ; then \
		export GO111MODULE=off; \
		go get -u github.com/dvyukov/go-fuzz/go-fuzz-build; \
		go get -u -v .; \
		cd ../../go-acme/lego && git checkout v2.5.0; \
		cd ../../coredns/coredns; \
		LIBFUZZER=YES $(MAKE) -f Makefile.fuzz all; \
		$(MAKE) -sf Makefile.fuzz fuzzit; \
		for i in `$(MAKE) -sf Makefile.fuzz echo`; do echo $$i; \
			./fuzzit create job --type $(FUZZIT_TYPE) coredns/$$i ./$$i; \
		done; \
	fi;
endif

core/plugin/zplugin.go core/dnsserver/zdirectives.go: plugin.cfg
	go generate coredns.go

.PHONY: gen
gen:
	go generate coredns.go

.PHONY: pb
pb:
	$(MAKE) -C pb

.PHONY: clean
clean:
	go clean
	rm -f coredns

=== t/venom/Makefile ===
#==============================================================================
# Specific variables
#==============================================================================
SHELL=/bin/bash
PFSERVERS_DIR=pfservers

#==============================================================================
# Targets
#==============================================================================
.PHONY: install
install:
	./install-venom.sh

# configurator is different: it runs **before** all test suites. It doesn't need
# a token to perform actions so there is no dependency to setup test suite
.PHONY: configurator
configurator:
	./venom-wrapper.sh $(PFSERVERS_DIR)/configurator

# test is the entrypoint: all test suites should be referenced as target dependency
# if setup is a dependency to test target, putting setup as a dependency to other
# targets doesn't cause a recall
.PHONY: test
test: setup global_config dot1x_eap_peap wired_mac_auth captive_portal wireless_dot1x_eap_peap wireless_mac_auth backup_db_and_restore global_teardown

.PHONY: setup
setup:
	./venom-wrapper.sh setup/00_setup.yml

.PHONY: setup_multi_tenant
setup_multi_tenant:
	./venom-wrapper.sh setup/00_setup_multi_tenant.yml

# teardown is done at end of all test suites: all things configured here have no impact
.PHONY: global_config
global_config: setup
	./venom-wrapper.sh $(PFSERVERS_DIR)/global_config

.PHONY: global_config_multi_tenant
global_config_multi_tenant:
	./venom-wrapper.sh $(PFSERVERS_DIR)/global_config_multi_tenant

.PHONY: dot1x_eap_peap
dot1x_eap_peap: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/dot1x_eap_peap
	./venom-wrapper.sh $(PFSERVERS_DIR)/dot1x_eap_peap/teardown

.PHONY: wired_mac_auth
wired_mac_auth: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/wired_mac_auth
	./venom-wrapper.sh $(PFSERVERS_DIR)/wired_mac_auth/teardown

.PHONY: wireless_dot1x_eap_peap
wireless_dot1x_eap_peap: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/wireless_dot1x_eap_peap
	./venom-wrapper.sh $(PFSERVERS_DIR)/wireless_dot1x_eap_peap/teardown

.PHONY: wireless_mac_auth
wireless_mac_auth: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/wireless_mac_auth
	./venom-wrapper.sh $(PFSERVERS_DIR)/wireless_mac_auth/teardown

.PHONY: captive_portal
captive_portal: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/captive_portal
	./venom-wrapper.sh $(PFSERVERS_DIR)/captive_portal/teardown

.PHONY: dot1x_eap_tls_pfpki
dot1x_eap_tls_pfpki: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/dot1x_eap_tls_pfpki
	./venom-wrapper.sh $(PFSERVERS_DIR)/dot1x_eap_tls_pfpki/teardown

.PHONY: pfdhcplistener_single_tenant
pfdhcplistener_single_tenant: setup
	./venom-wrapper.sh $(PFSERVERS_DIR)/pfdhcplistener_single_tenant
	./venom-wrapper.sh $(PFSERVERS_DIR)/pfdhcplistener_single_tenant/teardown

.PHONY: pfdhcplistener_multi_tenant
pfdhcplistener_multi_tenant: global_config_multi_tenant setup_multi_tenant
	./venom-wrapper.sh $(PFSERVERS_DIR)/pfdhcplistener_multi_tenant
	./venom-wrapper.sh $(PFSERVERS_DIR)/pfdhcplistener_multi_tenant/teardown

.PHONY: backup_db_and_restore
backup_db_and_restore: setup
	./venom-wrapper.sh $(PFSERVERS_DIR)/backup_db_and_restore
	./venom-wrapper.sh $(PFSERVERS_DIR)/backup_db_and_restore/teardown

.PHONY: global_teardown
global_teardown: setup
	./venom-wrapper.sh $(PFSERVERS_DIR)/global_teardown

# Targets for local tests
.PHONY: dot1x_eap_peap_no_teardown
dot1x_eap_peap_no_teardown: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/dot1x_eap_peap

.PHONY: wired_mac_auth_no_teardown
wired_mac_auth_no_teardown: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/wired_mac_auth

.PHONY: wireless_dot1x_eap_peap_no_teardown
wireless_dot1x_eap_peap_no_teardown: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/wireless_dot1x_eap_peap

.PHONY: wireless_mac_auth_no_teardown
wireless_mac_auth_no_teardown: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/wireless_mac_auth

.PHONY: captive_portal_no_teardown
captive_portal_no_teardown: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/captive_portal

.PHONY: dot1x_eap_tls_pfpki_no_teardown
dot1x_eap_tls_pfpki_no_teardown: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/dot1x_eap_tls_pfpki

.PHONY: backup_db_and_restore_no_teardown
backup_db_and_restore_no_teardown: setup
	./venom-wrapper.sh $(PFSERVERS_DIR)/backup_db_and_restore

=== ci/lib/test/Makefile ===
include ../../../config.mk

#==============================================================================
# Specific variables
#==============================================================================
SHELL=/bin/bash

#==============================================================================
# Targets
#==============================================================================


# Using following targets requires artifact of a "pages" stage
# it means a "public" dir unzipped in PF root

.PHONY: all
all: test-pfcen7dev-dev test-pfdeb9dev-dev test-pfcen7dev-release test-pfdeb9dev-release

### Targets used in pipeline
.PHONY: test
test: clean
	./vagrant-wrapper.sh run

.PHONY: halt
halt:
	./vagrant-wrapper.sh halt

.PHONY: clean
clean:
	./vagrant-wrapper.sh teardown

.PHONY: get-public
get-public:
	./get_public_from_gitlab.sh


### Targets used for local tests
# test
.PHONY: test-pfcen7dev-dev
test-pfcen7dev-dev: get-public
	make PF_VM_NAME=pfcen7dev \
	PERL_UNIT_TESTS=yes \
	GOLANG_UNIT_TESTS=yes \
	test

.PHONY: test-pfdeb9dev-dev
test-pfdeb9dev-dev: get-public
	make PF_VM_NAME=pfdeb9dev \
	PERL_UNIT_TESTS=no \
	GOLANG_UNIT_TESTS=yes \
	test

.PHONY: test-pfcen7dev-release
test-pfcen7dev-release: get-public
	make PF_VM_NAME=pfcen7dev \
	CI_COMMIT_TAG=vX.Y.Z \
	test

.PHONY: test-pfdeb9dev-release
test-pfdeb9dev-release: get-public
	make PF_VM_NAME=pfdeb9dev \
	CI_COMMIT_TAG=vX.Y.Z \
	test

.PHONY: test-int-pfcen7dev-dev
test-int-pfcen7dev-dev: get-public
	make PF_VM_NAME=pfcen7dev \
	INT_TEST_VM_NAMES='ad switch01 node01 wireless01' \
	PERL_UNIT_TESTS=yes \
	GOLANG_UNIT_TESTS=yes \
	INTEGRATION_TESTS=yes \
	test

.PHONY: test-int-pfdeb9dev-dev
test-int-pfdeb9dev-dev: get-public
	make PF_VM_NAME=pfdeb9dev \
	INT_TEST_VM_NAMES='ad switch01 node01 wireless01' \
	PERL_UNIT_TESTS=no \
	GOLANG_UNIT_TESTS=yes \
	INTEGRATION_TESTS=yes \
	test

.PHONY: test-int-dev
test-int-dev: PF_VM_NAME=pfcen7dev
test-int-dev: PERL_UNIT_TESTS=no
test-int-dev: GOLANG_UNIT_TESTS=no
test-int-dev: INTEGRATION_TESTS=yes
test-int-dev: INT_TEST_VM_NAMES=ad switch01 node01 wireless01
test-int-dev: get-public
	make PF_VM_NAME=$(PF_VM_NAME) \
	INT_TEST_VM_NAMES="$(INT_TEST_VM_NAMES)" \
	PERL_UNIT_TESTS=$(PERL_UNIT_TESTS) \
	GOLANG_UNIT_TESTS=$(GOLANG_UNIT_TESTS) \
	INTEGRATION_TESTS=$(INTEGRATION_TESTS) \
	test

=== ci/packer/vagrant_img/Makefile ===
#==============================================================================
# Specific variables
#==============================================================================
### All these variables can be overriden by environment when calling with:
# VAR=value make -e target
# following values can be considered as default values
RESULT_DIR=results
DEV_GROUP=dev
STABLE_GROUP=stable
ANSIBLE_FORCE_COLOR=1
BOX_DESC='local-test'
# should follow semver X.Y.Z (to validate vagrant-cloud checks) and
# be unique at each build (see https://github.com/hashicorp/packer/issues/9492)
# generate: X.Y.UTC_DATE
# $$1 is to avoid make interpretation
BOX_VERSION=$(shell perl -ne 'print $$1 if (m/.*?(\d+\.\d+)./)' ../../../conf/pf-release | echo "`cat -`.`date -u +%Y%m%d%H%M%S`")
VAGRANT_LIBVIRT_VIRT_SYSPREP_OPTIONS=""
VAGRANT_LIBVIRT_VIRT_SYSPREP_OPERATIONS="defaults,-ssh-userdir"
PACKER_LOG=1
# work only when PACKER_LOG value is different than 0
PACKER_LOG_PATH=/var/tmp/packer.log
#==============================================================================
# Targets
#==============================================================================
.PHONY: pfbox
pfbox:	clean
	PKR_VAR_output_dir="$(RESULT_DIR)/$(BOX_NAME)" \
	PKR_VAR_ansible_group=$(ANSIBLE_GROUP) \
	PKR_VAR_pfserver_name=$(BOX_NAME) \
	PKR_VAR_centos_repo=$(CENTOS_REPO) \
	PKR_VAR_box_version=$(BOX_VERSION) \
	PKR_VAR_box_description="$(BOX_DESC)" \
	PACKER_LOG=$(PACKER_LOG) \
	PACKER_LOG_PATH=$(PACKER_LOG_PATH) \
	packer validate -only="$(BUILD_NAME)" .

	VAGRANT_LIBVIRT_VIRT_SYSPREP_OPTIONS=$(VAGRANT_LIBVIRT_VIRT_SYSPREP_OPTIONS) \
	VAGRANT_LIBVIRT_VIRT_SYSPREP_OPERATIONS=$(VAGRANT_LIBVIRT_VIRT_SYSPREP_OPERATIONS) \
	PKR_VAR_output_dir="$(RESULT_DIR)/$(BOX_NAME)" \
	PKR_VAR_ansible_group=$(ANSIBLE_GROUP) \
	PKR_VAR_pfserver_name=$(BOX_NAME) \
	PKR_VAR_centos_repo=$(CENTOS_REPO) \
	PKR_VAR_box_version=$(BOX_VERSION) \
	PKR_VAR_box_description="$(BOX_DESC)" \
	ANSIBLE_FORCE_COLOR=$(ANSIBLE_FORCE_COLOR) \
	PACKER_LOG=$(PACKER_LOG) \
	PACKER_LOG_PATH=$(PACKER_LOG_PATH) \
	packer build -only="$(BUILD_NAME)" .

# CentOS 7 builds
.PHONY: pfcen7dev
pfcen7dev:
	VAGRANT_LIBVIRT_VIRT_SYSPREP_OPTIONS="'--run $(CURDIR)/provisioners/shell/sysprep.sh'" \
	make \
	BOX_NAME=$@ \
	ANSIBLE_GROUP=$(DEV_GROUP) \
	CENTOS_REPO=packetfence-devel \
	BUILD_NAME="$(DEV_GROUP).vagrant.centos-7" \
	pfbox

.PHONY: pfcen7stable
pfcen7stable:
	VAGRANT_LIBVIRT_VIRT_SYSPREP_OPTIONS="'--run $(CURDIR)/provisioners/shell/sysprep.sh'" \
	make \
	BOX_NAME=$@ \
	ANSIBLE_GROUP=$(STABLE_GROUP) \
	BUILD_NAME="$(STABLE_GROUP).vagrant.centos-7" \
	pfbox

# Debian 9 builds
.PHONY: pfdeb9dev
pfdeb9dev:
	VAGRANT_LIBVIRT_VIRT_SYSPREP_OPTIONS="'--run $(CURDIR)/provisioners/shell/sysprep.sh'" \
	make -e \
	BOX_NAME=$@ \
	ANSIBLE_GROUP=$(DEV_GROUP) \
	BUILD_NAME="$(DEV_GROUP).vagrant.debian-9" \
	pfbox

.PHONY: pfdeb9stable
pfdeb9stable:
	VAGRANT_LIBVIRT_VIRT_SYSPREP_OPTIONS="'--run $(CURDIR)/provisioners/shell/sysprep.sh'" \
	make -e \
	BOX_NAME=$@ \
	ANSIBLE_GROUP=$(STABLE_GROUP) \
	BUILD_NAME="$(STABLE_GROUP).vagrant.debian-9" \
	pfbox

# Cleanup
.PHONY: clean
clean:
	rm -rf $(RESULT_DIR)/$(BOX_NAME)

.PHONY: clean_all
clean_all:
	rm -rf $(RESULT_DIR)/

#==============================================================================
# Local tests
#==============================================================================
# dev: VAGRANT_CLOUD_TOKEN=token make -e pf*dev
# stable: BOX_VERSION=11.0.0 VAGRANT_CLOUD_TOKEN=token make -e pf*stable

=== html/pfappserver/root/Makefile ===
FILES = dist/index.html dist/css/* dist/js/* dist/js/*

.PHONY: all vendor dev dist

all:
	@echo "Use 'make vendor' to update external libraries, 'make dev' to generate the static JS/CSS files and 'make dist' to commit the distribution version."

vendor:
	npm install

dev:
	npm run build

dist:
	npm run build
	git add -f $(FILES)
	@if ! git diff --cached --quiet --exit-code; then \
		git add --update dist; \
		git commit -m "(web admin) Update generated files"; \
	else \
		echo "Nothing to commit; skipping git-commit"; \
	fi

light-dist:
	npm run build

=== debian/changelog ===
packetfence (10.3.0+20210414154410+286398790+0009+v10.3.0+stretch1) stretch; urgency=medium

  * build for v10.3.0

 -- Inverse inc. <support@inverse.ca>  Wed, 14 Apr 2021 16:02:43 +0000

packetfence (10.3.0) unstable; urgency=low

  * Version 10.3.0

 -- Inverse <info@inverse.ca>  Wed, 14 Apr 2020 11:17:00 +0100

packetfence (10.2.0-1) unstable; urgency=low

  * Version 10.2.0

 -- Inverse <info@inverse.ca>  Wed, 07 Oct 2020 11:17:00 +0100

packetfence (10.1.0-1) unstable; urgency=low

  * Version 10.1.0

 -- Inverse <info@inverse.ca>  Wed, 17 Jun 2020 11:17:00 +0100

=== debian/control ===
Source: packetfence
Section: net
Priority: optional
Maintainer: Inverse inc. <support@inverse.ca>
Build-Depends: debhelper (>= 7.0.50~), gettext, libparse-recdescent-perl, gcc, lsb-release, dh-systemd, libfile-fcntllock-perl, git, libipset-dev, pkg-config, nodejs (>= 12.0), jq,
 ruby, rubygems,
 quilt
Standards-Version: 3.8.4
Vcs-Git: git://github.com/inverse-inc/packetfence.git
Vcs-browser: https://github.com/inverse-inc/packetfence/
Homepage: http://www.packetfence.org/

Package: packetfence
Architecture: all
# TODO: We can probably move these in Depends since 3.5.0 (managed RADIUS feature)
Pre-Depends:  ca-certificates, 
 ca-certificates, winbind,
 packetfence-pfcmd-suid (>= ${source:Version}), packetfence-config (>= ${source:Version}),
# CAUTION: we need to require the version we want for Fingerbank and ensure we don't want anything equal or above the next major release as it can add breaking changes
 fingerbank (>= 4.2.1), fingerbank (<< 5.0.0),
 fingerbank-collector (>= 1.3.15), fingerbank-collector (<< 2.0.0),
 packetfence-redis-cache (>= ${source:Version}),
 packetfence-pfappserver-javascript (>= ${source:Version}),
 packetfence-captive-portal-javascript (>= ${source:Version}),
# wmi
 libnet-wmiclient-perl, libwmiclient1, wmi-client,
 netdata (<< 1.11),
Breaks: libdata-alias-perl
Depends: ${misc:Depends}, vlan,
 packetfence-ntlm-wrapper (>= ${source:Version}), packetfence-doc (>= ${source:Version}), packetfence-golang-daemon (>= ${source:Version}),
 openssl,
 mariadb-server (= 10.2.37+maria~stretch),
 mariadb-client (= 10.2.37+maria~stretch),
 snmp, snmptrapfmt, snmptrapd, snmp-mibs-downloader, conntrack, rsyslog,
# apache related
 apache2, apache2-utils,
 libapache2-mod-apreq2, libapache2-mod-perl2,
 libapache2-request-perl, libtie-dxhash-perl, libapache-session-perl,
 libapache-ssllookup-perl, libapache2-mod-systemd,
# freeradius
 freeradius (>= 3.0.21), freeradius-ldap,
 freeradius-mysql, freeradius-utils, freeradius-rest, freeradius-redis,
# systemd sd_notify support
 libsystemd-daemon-perl,
# binary
 make, binutils,
 samba,
 python-impacket,
 krb5-user,
 iproute,
 ipset,
 sudo,
 sscep (>= 0.9),
 patch,
 git,
# process management
 procps,
# perl basic components
 liblist-moreutils-perl, libwww-perl, libtry-tiny-perl,
# perl uncategorized modules
 libapache-htpasswd-perl, libbit-vector-perl, libtext-csv-perl, libtext-csv-xs-perl,
 libcgi-session-serialize-yaml-perl, libtimedate-perl, libapache-dbi-perl,
 libdbd-mysql-perl, libfile-tail-perl, libnetwork-ipv4addr-perl,
 libiptables-parse-perl, libiptables-chainmgr-perl, iptables (>= 1.4.0), iptables-netflow-dkms,
 liblwp-useragent-determined-perl, 
 liblwp-protocol-connect-perl,
 libnet-netmask-perl, libnet-pcap-perl, libnet-snmp-perl, libsnmp-perl, libfile-fcntllock-perl,
 libnet-telnet-cisco-perl, libparse-recdescent-perl, libnet-cisco-mse-rest-perl, perlmagick,
 libregexp-common-email-address-perl, libregexp-common-time-perl,
 libperl-critic-perl, libreadonly-xs-perl, libhtml-template-perl,
 libterm-readkey-perl, libtest-perl-critic-perl, libtest-pod-perl,
 libtest-pod-coverage-perl, libthread-pool-simple-perl,
 libuniversal-require-perl, libuniversal-exports-perl, libnet-rawip-perl,
 libcgi-session-perl, libcgi-session-driver-chi-perl (>= 1.0.3), libconfig-inifiles-perl (>= 2.88),
 libdatetime-format-dateparse-perl, libdatetime-format-rfc3339-perl, libdbi-perl,librose-db-perl,librose-db-object-perl,libdatetime-timezone-perl,
 libnet-telnet-perl, libregexp-common-perl,libhtml-formhandler-perl (= 1:0.40019-1),
 libreadonly-perl, libtemplate-perl, libtemplate-autofilter-perl, libterm-readkey-perl,
 libuniversal-require-perl, libthread-serialize-perl,
 libnet-ldap-perl, libcrypt-generatepassword-perl, libbytes-random-secure-perl, libcrypt-eksblowfish-perl, libcrypt-smbhash-perl,
 libcrypt-cbc-perl, libcrypt-le-perl, libdigest-sha3-perl, libcrypt-pbkdf2-perl, perl-doc, libcrypt-rijndael-perl,
 librrds-perl, libnetpacket-perl (>= 1.3), libcache-cache-perl, libcarp-perl,
 libload-perl, libmime-lite-tt-perl, libmime-lite-perl,
 libconfig-general-perl, libproc-processtable-perl, libperl-version-perl,
 perl-modules,libdata-swap-perl,libdata-structure-util-perl,
 liblinux-fd-perl, liblinux-inotify2-perl, libfile-touch-perl, libhash-merge-perl, libposix-atfork-perl,
 libcrypt-openssl-pkcs12-perl,libcrypt-openssl-x509-perl,libconst-fast-perl,
 libtime-period-perl (>= 1.25), libtime-piece-perl, libsereal-encoder-perl, libsereal-decoder-perl, libdata-serializer-sereal-perl (>= 1.04), libphp-serialization-perl,
 libnet-ip-perl, libdigest-hmac-perl, libcrypt-openssl-pkcs10-perl, libcrypt-openssl-rsa-perl, libfile-tempdir-perl,
 liburi-escape-xs-perl, libsql-abstract-more-perl (>= 1.28), libsql-abstract-plugin-insertmulti-perl, libio-socket-timeout-perl, liblinux-distribution-perl, libwww-twilio-api-perl,
 libpod-markdown-perl, libmojolicious-perl (>= 7.74), libmojox-log-log4perl-perl, liblingua-en-inflexion-perl,
# hard-coded to specific version because v3 broke the API and we haven't ported to it yet
# see #1313: Port our Net-Appliance-Session to the version 3 API
# http://packetfence.org/bugs/view.php?id=1313
 libnet-appliance-session-perl (>= 2.111080),
 libnet-ssh2-perl (>= 0.63),
 libnet-cli-interact-perl,
 libre-engine-re2-perl,
 libnet-interface-perl, libnet-radius-perl, libclass-xsaccessor-perl, libbsd-resource-perl,
 libparse-nessus-nbe-perl, libtest-mockdbi-perl,
 libsoap-lite-perl (>= 1.0), libnet-frame-perl, libthread-pool-perl,
 libwww-curl-perl, libposix-2008-perl, libdata-messagepack-stream-perl, libdata-messagepack-perl,
 libnet-nessus-xmlrpc-perl (>= 0.4), libnet-nessus-rest-perl (>= 0.7), libfile-slurp-perl,
 libalgorithm-combinatorics-perl,
# required for ipset
 libnetaddr-ip-perl, libfile-which-perl,
# FIXME track what requires the conveyor stuff and identify it. If we can, get rid of it.
 libthread-conveyor-monitored-perl, libthread-conveyor-perl, libthread-tie-perl,
 liberror-perl, libio-socket-inet6-perl,
 libio-interface-perl, libnet-route-perl, libnet-arp-perl,
# required by catalyst
 libcatalyst-perl (>= 5.90011), libcatalyst-modules-perl,
 libauthen-htpasswd-perl, libcatalyst-authentication-credential-http-perl, 
 libcatalyst-authentication-store-htpasswd-perl, libcatalyst-plugin-unicode-encoding-perl,
 libcatalyst-view-tt-perl (>= 0.37), libcatalyst-view-csv-perl, libhtml-formfu-perl, libjson-perl, libjson-maybexs-perl,
 libcatalyst-plugin-smarturi-perl,
 libsort-naturally-perl, libchi-perl (>=0.59), libchi-memoize-perl,
 libdata-serializer-perl,
 libchi-driver-redis-perl,
 libredis-fast-perl,
 libcache-fastmmap-perl, libterm-size-any-perl,
 libswitch-perl,
# packaging workaround (we don't require it but something in catalyst seem to do)
 libmodule-install-perl,
# i18n
 liblocale-gettext-perl, 
# logging framework
 liblog-log4perl-perl (>=1.43),
 liblog-any-perl,
 liblog-any-adapter-perl,
 liblog-any-adapter-log4perl-perl,
# oauth2
 libnet-oauth2-perl (>=0.65),
# used by Captive Portal authentication modules
 libauthen-radius-perl (>=0.24), libauthen-krb5-simple-perl,
# used by bin/pftest
 libio-interactive-perl,
# cluster
 haproxy (>= 1.8), keepalived (>= 2.0), arping,
# monitoring
 fping, python-mysqldb,
# EAP TLS
 libcrypt-smime-perl, libnumber-range-perl,
# Captive Portal Dynamic Routing
 libgraph-perl,
# SAML
 liblasso-perl,
# for packaging
 lsb-release,
# wmi and nthash cache
 libscalar-list-utils-perl (>= 1.41-1),libfile-fcntllock-perl,libjson-xs-perl,libmoo-perl,libnet-dns-perl,python-twisted-bin,python-twisted-core,libconfig-inifiles-perl,
# fuse
 fuse,
# Distribution specific
 ${packetfence:dist}
Description: PacketFence network registration / worm mitigation system
 PacketFence is an open source network access control (NAC) system.
 It can be used to effectively secure networks, from small to very large
 heterogeneous networks. PacketFence provides features such
 as
 * registration of new network devices
 * detection of abnormal network activities
 * isolation of problematic devices
 * remediation through a captive portal
 * registration-based and scheduled vulnerability scans.

Package: packetfence-doc
Architecture: all
Description: documentation for packetfence
 The package packetfence-doc contains the documentation files needed for the admin gui

Package: packetfence-test
Architecture: all
Depends: packetfence, libtest-mockmodule-perl,
 libtest-nowarnings-perl, libtest-mockobject-perl,
 libtest-exception-perl
Description: Test suite for packetfence
 The PacketFence package contains a suite of test for validate packetfence
 installation.

Package: packetfence-pfcmd-suid
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: packetfence (<< 3.6.0)
Breaks: packetfence (<< 3.6.0)
Description: C wrapper that replace perl-suid dependence
 perl 5.12 dropped suidperl support (packaged as suid-perl)

Package: packetfence-ntlm-wrapper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C wrapper around the ntlm_auth utility to log authentication latency and success/failure.

Package: packetfence-config
Architecture: all
Depends: ${misc:Depends}, libcache-bdb-perl, liblog-fast-perl, libfile-flock-perl, lsb-release
Description: Service use to manage PacketFence configuration.

Package: packetfence-redis-cache
Architecture: all
Depends: ${misc:Depends}, redis-server, redis-tools, lsb-release
Description: Init script to manage redis server.

Package: packetfence-golang-daemon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PacketFence Golang binary.
Conflicts: packetfence (<= 8.0.1)

Package: packetfence-captive-portal-javascript
Architecture: any
Depends: ${misc:Depends}
Description: PacketFence captive portal javascript
Conflicts: packetfence (<< 8.1.1)

Package: packetfence-pfappserver-javascript
Architecture: any
Depends: ${misc:Depends}
Description: PacketFence Admin javascript css
Conflicts: packetfence (<< 8.1.1)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
NAME		= pf
PREFIX		= /usr/local
INSTALL		= /usr/bin/install -c -D -m0644

# DIST = jessie or stretch or ..
DIST = $(shell lsb_release -c -s)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir


	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	#copying example files with the extention
	for i in `find * -name "*.example" ! -path 'conf/pfconfig.conf*' ! -path 'conf/redis_cache.conf*'`; do \
		$(INSTALL) $$i "$(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/$$(dirname $$i)/$$(basename $$i .example)"; \
	done

	# Install all except debian and t directory
	for i in `find * ! -path 'debian/*' ! -path 'debian' ! -path 't/*' ! -path 't' ! -path 'lib/pfconfig/*' ! -path 'lib/pfconfig' ! -path 'sbin/pfconfig' -type d`; do \
		install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * ! -path 'debian/*' ! -path 'debian' ! -path 't/*' ! -path 't' ! -path 'lib/pfconfig/*' ! -path 'lib/pfconfig' ! -path 'sbin/pfconfig' ! -path 'conf/pfconfig.conf*' ! -path 'conf/redis_cache.conf*' ! -type d`; do \
		$(INSTALL) $$i $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * -path 't*' -type d`; do \
		install -d -m0700 $(CURDIR)/debian/packetfence-test$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * -path 't*' ! -type d`; do \
		$(INSTALL) $$i $(CURDIR)/debian/packetfence-test$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * -path 'lib/pfconfig*' -type d`; do \
		install -d -m0700 $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * -path 'lib/pfconfig/*' ! -type d`; do \
		$(INSTALL) $$i $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/$$i; \
	done
	# generate translations
	# TODO this is duplicated in our RPM spec, we should aim to consolidate in a 'make' style step
	for TRANSLATION in de en es fr he_IL it nl pl_PL pt_BR nb_NO; do \
		/usr/bin/msgfmt $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.po \
		--output-file $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.mo; \
	done
	# Install empty directories not in our tarball since the git move
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/addons
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/certmanager
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/ssl
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/ssl/acme-challenge
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/raddb/sites-enabled
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/logs
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/conf
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache/ntlm_cache_users
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/var
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/redis_queue
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/redis_ntlm_cache
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/run
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/rrd
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/session
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/webadmin_cache
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache/configfiles
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache/configfilesdata
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/ssl_mutex
	touch $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache_control
	#Configurator integration
	install -d -m0700 $(CURDIR)/debian/packetfence/lib/systemd/system
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence.target $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence-base.target $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence-cluster.target $(CURDIR)/debian/packetfence/etc/systemd/system
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system/packetfence-base.target.wants
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system/packetfence.target.wants
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system/packetfence-cluster.target.wants
	install -m0644 $(CURDIR)/debian/packetfence.slice $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence-base.slice $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/ifup@.service $(CURDIR)/debian/packetfence/etc/systemd/system
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/default
	install -d -m0755 $(CURDIR)/debian/packetfence/etc/modprobe.d
	install -d -m0755 $(CURDIR)/debian/packetfence/etc/modules-load.d
	install -m0644 $(CURDIR)/debian/packetfence.modprobe $(CURDIR)/debian/packetfence/etc/modprobe.d/packetfence.conf
	install -m0644 $(CURDIR)/debian/packetfence.modules-load $(CURDIR)/debian/packetfence/etc/modules-load.d/packetfence.conf

	# copy the rsyslog systemd drop in
	install -d -m0755 $(CURDIR)/debian/packetfence/etc/systemd/system/rsyslog.service.d/
	install -m0600 $(CURDIR)/packetfence.rsyslog-drop-in.service  $(CURDIR)/debian/packetfence/etc/systemd/system/rsyslog.service.d/packetfence.conf
	#Sudoer
	install -oroot -groot -d -m0750 $(CURDIR)/debian/packetfence/etc/sudoers.d
	install -oroot -groot -m0440 $(CURDIR)/debian/packetfence.sudoers $(CURDIR)/debian/packetfence/etc/sudoers.d/packetfence
	#PacketFence pfcmd suid
	install -d -m0755 $(CURDIR)/debian/packetfence-pfcmd-suid$(PREFIX)/$(NAME)/bin
	gcc src/pfcmd.c -o $(CURDIR)/debian/packetfence-pfcmd-suid$(PREFIX)/$(NAME)/bin/pfcmd
	# ntlm-wrapper
	install -d -m0755 $(CURDIR)/debian/packetfence-ntlm-wrapper$(PREFIX)/$(NAME)/bin
	make bin/ntlm_auth_wrapper
	mv bin/ntlm_auth_wrapper $(CURDIR)/debian/packetfence-ntlm-wrapper$(PREFIX)/$(NAME)/bin
	# packetfence-config
	install -d $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/sbin
	install -d -m0700 $(CURDIR)/debian/packetfence-config/lib/systemd/system
	install -d -m0700 $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/conf
	install -d -m2770 $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/var/cache/pfconfig
	install -m0755 sbin/pfconfig $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/sbin
	install -m0600 conf/pfconfig.conf.example $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/conf/pfconfig.conf
	# packetfence-redis-cache
	install -d -m0700 $(CURDIR)/debian/packetfence-redis-cache/lib/systemd/system
	install -d -m2770 $(CURDIR)/debian/packetfence-redis-cache$(PREFIX)/$(NAME)/var/run
	install -d -m0700 $(CURDIR)/debian/packetfence-redis-cache$(PREFIX)/$(NAME)/conf
	install -d -m2770 $(CURDIR)/debian/packetfence-redis-cache$(PREFIX)/$(NAME)/logs
	install -d -m2770 $(CURDIR)/debian/packetfence-redis-cache$(PREFIX)/$(NAME)/var/redis_cache
	install -m0600 conf/redis_cache.conf.example $(CURDIR)/debian/packetfence-redis-cache$(PREFIX)/$(NAME)/conf/redis_cache.conf

	# packetfence-tracking-config

## packetfence 13.2.0+20240904183705+1440697922+0011+maintenance~13~2+bullseye1

=== debian/changelog ===
packetfence (13.2.0+20240904183705+1440697922+0011+maintenance~13~2+bullseye1) bullseye; urgency=medium

  * build for maintenance/13.2

 -- Inverse inc. <support@inverse.ca>  Wed, 04 Sep 2024 23:42:53 +0000

packetfence (13.2.0) unstable; urgency=low

  * Version 13.2.0

 -- Inverse <info@inverse.ca>  Mon, 22 Jan 2024 12:28:07 -0500

packetfence (13.1.0) unstable; urgency=low

  * Version 13.1.0

 -- Inverse <info@inverse.ca>  Thu, 10 Aug 2023 02:08:54 -0400

packetfence (13.0.0) unstable; urgency=low

  * Version 13.0.0

 -- Inverse <info@inverse.ca>  Thu, 09 Mar 2023 15:41:39 +0000

packetfence (12.2.0) unstable; urgency=low

  * Version 12.2.0

 -- Inverse <info@inverse.ca>  Tue, 22 Nov 2022 19:01:46 +0000

packetfence (12.1.0) unstable; urgency=low

  * Version 12.1.0

 -- Inverse <info@inverse.ca>  Wed, 14 Sep 2022 13:48:07 +0000

packetfence (12.0.0) unstable; urgency=low

  * Version 12.0.0

 -- Inverse <info@inverse.ca>  Fri, 02 Sep 2022 08:58:21 -0400

packetfence (11.3.0) unstable; urgency=low

  * Version 11.3.0

 -- Inverse <info@inverse.ca>  Wed, 23 Feb 2022 15:02:18 -0500

packetfence (11.2.0) unstable; urgency=low

  * Version 11.2.0

 -- Inverse <info@inverse.ca>  Fri, 29 Oct 2021 12:02:58 -0400

packetfence (11.1.0) unstable; urgency=low

  * Version 11.1.0

 -- Inverse <info@inverse.ca>  Thu, 02 Sep 2021 09:34:04 -0400

packetfence (11.0.0) unstable; urgency=low

  * Version 11.0.0

 -- Inverse <info@inverse.ca>  Thu, 02 Sep 2021 07:39:00 -0400

packetfence (10.3.9-1) unstable; urgency=low

  * Version 10.3.9

 -- Inverse <info@inverse.ca>  Wed, 14 Apr 2020 11:17:00 +0100

packetfence (10.3.0-1) unstable; urgency=low

  * Version 10.3.0

 -- Inverse <info@inverse.ca>  Wed, 14 Apr 2020 11:17:00 +0100
